aboutsummaryrefslogtreecommitdiff
path: root/contrib
diff options
context:
space:
mode:
authorThomas Harning <harningt@gmail.com>2007-11-22 15:19:40 -0500
committerJunio C Hamano <gitster@pobox.com>2007-11-22 14:21:59 -0800
commita00a42ae33708caa742d9e9fbf10692cfa42f032 (patch)
treed14676ffff8533ab5edd6c9bc790097c6f7e5dd6 /contrib
parenta7d9da6c972cb7bc79ef47ad7199dfb2a8dcf67f (diff)
downloadgit-a00a42ae33708caa742d9e9fbf10692cfa42f032.tar.gz
git-a00a42ae33708caa742d9e9fbf10692cfa42f032.tar.xz
git-merge-ours: make it a builtin.
Except that this fixes a longstanding corner case bug by tightening the way underlying diff-index command is run, it is functionally equivalent to the scripted version. Signed-off-by: Thomas Harning Jr <harningt@gmail.com> Signed-off-by: Junio C Hamano <gitster@pobox.com>
Diffstat (limited to 'contrib')
-rwxr-xr-xcontrib/examples/git-merge-ours.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/contrib/examples/git-merge-ours.sh b/contrib/examples/git-merge-ours.sh
new file mode 100755
index 000000000..c81a790aa
--- /dev/null
+++ b/contrib/examples/git-merge-ours.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+#
+# Copyright (c) 2005 Junio C Hamano
+#
+# Pretend we resolved the heads, but declare our tree trumps everybody else.
+#
+
+# We need to exit with 2 if the index does not match our HEAD tree,
+# because the current index is what we will be committing as the
+# merge result.
+
+git diff-index --quiet --cached HEAD || exit 2
+
+exit 0